Notizie: scarica ora l'ultima versione disponibile di SeaMonkey!

Autore Topic: Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]  (Letto 1709 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline bit4xpki.dll

  • Post: 3
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #30 il: 20 Dicembre 2020 12:58:34 »
Il problema NON E' di: Aruba, Infocert, Lextel o dei browser: IE, Edge, Chrome (tutti PERFETTAMENTE funzionanti ed aggiornati)
il problema c'è! e l'ha FIREFOX dalla rev. 84.0
Da venerdì ad oggi ho provveduto a disinstallare tale browser e caricare le configurazioni dei vari siti istituzionali su almeno 25 PCs
 
« Ultima modifica: 20 Dicembre 2020 15:26:40 da bit4xpki.dll »

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #31 il: 20 Dicembre 2020 15:32:28 »
Ciao, come ho scritto, ci sarebbe da aprire un bug su Bugzilla.

Dal momento che non utilizzo questi sistemi, se dobbiamo farlo noi dovremmo avere almeno i passi necessari, i link da cui scaricare il software e il report del crash.

Inviato utilizzando Tapatalk


Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #32 il: 20 Dicembre 2020 16:04:38 »
Ciao, il bug già è stato aperto ed è questo

https://bugzilla.mozilla.org/show_bug.cgi?id=1682881

Mi sono messo in contatto con il supporto internazionale e hanno detto che dovrebbe essere rilasciata una versione 84.0.1 che risolve il problema.
Se ho altre notizie le scrivo man mano che le ricevo.

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #33 il: 20 Dicembre 2020 16:08:33 »
Inoltre, sembrerebbe che il problema non si verifichi nella versione 85 beta.

Quindi, potreste provare a scaricarla e vedere se da lì è possibile usare correttamente la smartcard.

https://www.mozilla.org/it/firefox/channel/desktop/

Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #34 il: 20 Dicembre 2020 16:12:47 »
Confermo che anche su 50 computer istituzionali ho dovuto disistallare la versione 84 di firefox e ritornare alla 83 bloccando gli aggiornamenti. (mi viene il mal di pancia)

Per verificare il bug è sufficiente:

1) Una tessera sanitaria attivata in farmacia o da altre parti (a seconda della regione) oppure una qualsiasi CNS rilasciata da infocamere o altri.

2) Un lettore di smart card

3) Installare il pacchetto bit4id per la smart card o il relativo pacchetto opensc su linux

4) Caricare il fornitore di dispositivi di sicurezza in opzioni - >sicurezza (esempio c:\windows\system32\bit4xpki.dll o c:\windows\system32\bit4opki.dll per carte oberthur)

5) Navigare su un qualsisi sito ssl, (meglio se richiede l'autentificazione mediante certificato)

6) risultato: firefox piantato.....


EDIT - 85b3: con una smart card (oberthur) si pianta, con smartcard athena invece sembrerebbe funzionare.
« Ultima modifica: 20 Dicembre 2020 16:20:42 da Romolo Manfredini »

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #35 il: 20 Dicembre 2020 16:18:19 »
@Romolo Manfredini: grazie, sono certo che hai ragione, ma non ho un lettore di smartcard per provare e si tratta di una configurazione certamente "non standard".

A me dispiace molto non poter fare di più ma per fortuna il problema era già stato segnalato. In ogni caso: forse per PC istituzionali converrebbe utilizzare le versioni ESR.

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #36 il: 20 Dicembre 2020 16:25:00 »
@Romolo Manfredini: relativamente al problema dei lettori di carte Oberthur, ti andrebbe di commentare direttamente nel bug scrivendo quello che hai scritto qui (però ovviamente in inglese)? Lo farei io, ma alla fine non essendo un utilizzatore e non avendo i dispositivi non sarei in grado di dire molto di più se mi facessero domande.

il rischio, altrimenti, è che si risolve per un tipo di lettore mentre per l'altro no.

Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #37 il: 20 Dicembre 2020 16:27:35 »
La configuarazione non è standard solo per chi non abbia a che fare con INPS, firme digitali o camere di commercio, bandi regionali o similari.

Scusa ma ho almeno il 90% dei clienti che hanno questo setup, istituzionali o no.

Uso firefox da sempre, ma mi è toccato in questi giorni dirgli di usare chrome o edge.

Problemi maggiori addirittura li li ho con gli utenti mac per i quali la smart card è mal supportata sia da safari che da chrome e dove mi è toccato far passare i clienti a Opera.

Questa è una grave regression da parte di firefox e me ne dispiace molto.

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #38 il: 20 Dicembre 2020 16:29:53 »
Guarda, anche a me dispiace, figurati, l'ho scritto subito.

Ti ho chiesto se puoi commentare nel bug che ti ho indicato, proprio perché hai esperienza su questo tipo di configurazione.

@Romolo Manfredini: relativamente al problema dei lettori di carte Oberthur, ti andrebbe di commentare direttamente nel bug scrivendo quello che hai scritto qui (però ovviamente in inglese)? Lo farei io, ma alla fine non essendo un utilizzatore e non avendo i dispositivi non sarei in grado di dire molto di più se mi facessero domande.

il rischio, altrimenti, è che si risolve per un tipo di lettore mentre per l'altro no.

Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #39 il: 20 Dicembre 2020 16:31:40 »
@Romolo Manfredini: relativamente al problema dei lettori di carte Oberthur, ti andrebbe di commentare direttamente nel bug scrivendo quello che hai scritto qui (però ovviamente in inglese)? Lo farei io, ma alla fine non essendo un utilizzatore e non avendo i dispositivi non sarei in grado di dire molto di più se mi facessero domande.

il rischio, altrimenti, è che si risolve per un tipo di lettore mentre per l'altro no.

Aggiunto commento in inglese al bug report.

Comunque vorrei chiarire:
un conto è il lettore, un conto la smart card.

I lettori sono più o meno standard, poi per ogni smart card Oberthur, Athena, Siemens etc etc esiste una libreria pcks11 che fa da interfaccia fra firefox e la smart card.
(bit4xpki.dll legge sia oberthur che athena)

Il problema non è ne a livello di hardware ne a livello di libreria, ma di come firefox usa la libreria per leggere la smart card.

A mio giudizio vi è qualche errore nella gestione dei mutex dovuti ai timing delle letture.
« Ultima modifica: 20 Dicembre 2020 16:37:03 da Romolo Manfredini »

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #40 il: 20 Dicembre 2020 16:52:03 »
Grazie della spiegazione, ma se il problema in beta capita su una dll e sull'altra no, significa che comunque questa cosa è da mettere a posto.

Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #41 il: 20 Dicembre 2020 16:56:30 »
In ogni caso: forse per PC istituzionali converrebbe utilizzare le versioni ESR.

Faccio notare che le ultime fix passate sulla ESR bloccano ugualmente le CNS.
Intendo la 78.6.0

« Ultima modifica: 20 Dicembre 2020 17:01:03 da Romolo Manfredini »

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24107
    • Mozilla Italia
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #42 il: 20 Dicembre 2020 17:02:49 »
Questa cosa anche sarebbe da scrivere nel bug. Al di là di questo, è meno probabile che un bug sia presente in una versione ESR che in una versione release (anche se, ripeto, non è questo il caso).

Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #43 il: 20 Dicembre 2020 17:18:16 »
Grazie della spiegazione, ma se il problema in beta capita su una dll e sull'altra no, significa che comunque questa cosa è da mettere a posto.

Comunque sia la dll è la stessa. Solo che le due smart card hanno tempi molto differenti nella risposta fra di loro.

la Oberthur è molto più lenta (almeno la mia) rispetto alla Athena anche nella semplice risposta al comando ATR (answer to reset).
Un thread rimane bloccato.
Non ho abbastanza conoscenza del codice di firefox per capire dove sia il problema (secondo me o in un mutex o in un semaforo)

Sta di fatto che in questo momento storico, dove molte istituzioni chiedono la CNS per partecipare ai bandi ristori per il COVID, non poter usare firefox non è cosa da poco.
E' vero che quasi sempre è possibile usare SPID, ma .....

Offline passenger28

  • Post: 6
Re:Crash versione 84.0 dopo aggiornamento [era: Versione 84.0 (64 bit)]
« Risposta #44 il: 20 Dicembre 2020 18:22:13 »
Inoltre, sembrerebbe che il problema non si verifichi nella versione 85 beta.
Quindi, potreste provare a scaricarla e vedere se da lì è possibile usare correttamente la smartcard.

La versione 85 beta di Firefox si blocca con smart card "Incard".

Ringrazio Underpass per aver contattato il supporto internazionale e per la notizia che la versione 84.0.1 dovrebbe risolvere il problema.


0 Utenti e 1 Visitatore stanno visualizzando questo topic.